Summary:	This is a LDAP authentication module for Apache
Name:		auth_ldap
Group:		System/Servers
License:	GPL
Version:	1.6.0
Release: 	1mdk

Source:		http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.bz2

Url:		http://www.rudedog.org/auth_ldap/
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	openldap-devel
BuildRequires:	apache-devel

%description
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.

%prep

%setup -q

%build
%configure --with-ldap-sdk=openldap --with-shared-cache \
	--with-apxs=%{_sbindir}/apxs
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 auth_ldap.so  $RPM_BUILD_ROOT%{_libdir}/apache/auth_ldap.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/apache/auth_ldap.so
%doc *.html PROBLEMS *.xml *.xsl *.dtd

%changelog
* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.6.0-1mdk
- new version

* Thu May 31 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.4-1mdk
- new version

* Wed May 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.7-2mdk
- Rebuild.

* Wed Dec 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.7-1mdk
- new and shiny source to fix a not-so-new-and-shiny source.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.5-1mdk
- new and shiny version.
- _libdir macro.

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 1.4.0-5mdk
- rebuilt with new %doc macro

* Sat May 13 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-4mdk
- Fix build for i486

* Tue Mar 21 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- build for mandrake 7.1

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppath for BuildRoot

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- first build for Red Hat Linux 6.1
